summaryrefslogtreecommitdiffstats
path: root/network/perl-Net-Server/perl-Net-Server.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/perl-Net-Server/perl-Net-Server.SlackBuild')
-rw-r--r--network/perl-Net-Server/perl-Net-Server.SlackBuild26
1 files changed, 12 insertions, 14 deletions
diff --git a/network/perl-Net-Server/perl-Net-Server.SlackBuild b/network/perl-Net-Server/perl-Net-Server.SlackBuild
index ffd4f895cd..1368945cdc 100644
--- a/network/perl-Net-Server/perl-Net-Server.SlackBuild
+++ b/network/perl-Net-Server/perl-Net-Server.SlackBuild
@@ -6,10 +6,10 @@
# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant__AT__mnspace__DOT__net)
# All rights reserved.
-# Redistribution and use of this script, with or without modification, is
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
@@ -27,8 +27,8 @@
# Modified by the SlackBuilds.org project.
SRCNAM=Net-Server
-PRGNAM=perl-Net-Server
-VERSION=0.97
+PRGNAM=perl-$SRCNAM
+VERSION=${VERSION:-0.99}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -75,18 +75,16 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Remove perlocal.pod and .packlist from $PKG
-( cd $PKG
- find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
-)
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
+# Remove perllocal.pod and other special files that don't need to be installed,
+# as they will overwrite what's already on the system.
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc